## ros-rolling-ur 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(ur)


find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-ur (2.4.0-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Mon, 28 Aug 2023 00:00:00 -0000

ros-rolling-ur (2.3.2-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Fri, 02 Jun 2023 00:00:00 -0000

ros-rolling-ur (2.3.1-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Thu, 16 Mar 2023 00:00:00 -0000

ros-rolling-ur (2.3.0-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Thu, 02 Mar 2023 00:00:00 -0000

ros-rolling-ur (2.2.4-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Fri, 07 Oct 2022 00:00:00 -0000

ros-rolling-ur (2.2.3-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Wed, 27 Jul 2022 00:00:00 -0000

ros-rolling-ur (2.2.2-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Tue, 19 Jul 2022 00:00:00 -0000

ros-rolling-ur (2.2.1-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Mon, 27 Jun 2022 00:00:00 -0000

ros-rolling-ur (2.2.0-1jammy) jammy; urgency=high

  * wip
  * Rework bringup (#403 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/403>)
    * Copy all bringup files to ur_robot_driver
    * Update documentation to use launchfiles from ur_robot_driver
    * Add deprecation warnings for ur_bringup
    * Add ``ur`` metapackage
    * Added deprecation warning to toplevel README
    * Added meta package to CI checks
  * Contributors: Felix Exner
  * Rework bringup (#403 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/403>)
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Mon, 20 Jun 2022 00:00:00 -0000

ros-rolling-ur (0.0.3-1jammy) jammy; urgency=high



 -- Felix Exner <exner@fzi.de>  Thu, 29 Oct 2020 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-ur
Section: misc
Priority: optional
Maintainer: Felix Exner <exner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ur
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ur-calibration, ros-rolling-ur-controllers, ros-rolling-ur-dashboard-msgs, ros-rolling-ur-moveit-config, ros-rolling-ur-robot-driver, ros-rolling-ros-workspace
Description: Metapackage for universal robots

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ur//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
